# $Id: xosd.spec,v 1.3 2002/08/30 14:01:04 dude Exp $

%define	xmmsgeneraldir	%(xmms-config --general-plugin-dir)

Summary: XOSD displays transparent text on your screen like the OSD of TVs.
Name: xosd
Version: 1.0.3
Release: fr1
License: GPL
Group: System Environment/Libraries
Source: http://www.ignavus.net/%{name}-%{version}.tar.gz
URL: http://www.ignavus.net/software.html
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl, xmms-devel

%description
XOSD displays text on your screen, sounds simple right? The difference is
it is unmanaged and shaped, so it appears transparent. This gives the
effect of an On Screen Display, like your TV/VCR etc.. The package also
includes an xmms plugin, which automatically displays various interesting
things as they change (song name, volume etc...) 


%package devel
Summary: Development files for the XOSD on-screen display library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The xosd-devel package contains static libraries, header files and
documentation for developing applications that use the XOSD on-screen
display.


%package xmms
Summary: An XMMS plugin for on-screen display that uses the XOSD library.
Group: Applications/Multimedia
Requires: %{name} = %{version}, xmms

%description xmms
An X MultiMedia System plugin to display information on-screen through the
XOSD library, similarly to TV OSD.


%prep
%setup -q

%build
%configure
make XMMS_LIBS="-L%{buildroot}%{_libdir} `xmms-config --libs`"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} \
	XMMS_LIBS="-L%{buildroot}%{_libdir} `xmms-config --libs`"

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/osd_cat
%{_libdir}/*.so.*
%{_mandir}/man1/osd_cat*

%files devel
%defattr(-, root, root)
%{_bindir}/xosd-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_mandir}/man1/xosd-config*
%{_mandir}/man3/*

%files xmms
%defattr(-, root, root)
%{xmmsgeneraldir}/libxmms_osd.*

%changelog
* Fri Aug 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.3.

* Wed Aug 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.2.
- Fixed %%defattr for xmms plugin sub-package.

* Mon Jul 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.0.
- Spec file cleanup (near rewrite), added devel and xmms sub-packages.

* Wed Aug  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.0 and spec file cleanup.
- Changed the plugin path.
- Added ldconfig execution since I also changed the lib filename.

* Sat Feb  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

